##start
##vertex

#version 150
#extension GL_ARB_explicit_attrib_location : enable


layout(location=0) in vec3 in_Position;
layout(location=1) in vec2 in_Data;

uniform mat4 modelViewProjectionMatrix;
uniform float timer;

out float alpha;



//out vec4 wpos;

void main()
{

    alpha = 1.0-timer/1.0;
   gl_Position = modelViewProjectionMatrix*vec4(in_Position,1) ;


}



##end

##start
##fragment

#version 150 core
in float alpha;
out vec4 out_color;

void main(void)
{


    out_color = vec4(1,1,1,alpha);

}


##end
